function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "LineFocusPlugin", () => $882b6d93070905b3$export$1b2acd5f94cd84db);
class $882b6d93070905b3$export$1b2acd5f94cd84db {
    constructor(options){
        this.currentAttribute = "";
        this.options = options;
    }
    'before:highlight'(context) {
        if (context.language.indexOf("@")) {
            let [lang, attr] = context.language.split('@');
            context.language = lang;
            this.currentAttribute = attr ?? "";
        }
    }
    getStyle(style) {
        if (!style) return "";
        return Object.keys(style).reduce((acc, key)=>acc + key.split(/(?=[A-Z])/).join('-').toLowerCase() + ':' + style[key] + ';'
        , '');
    }
    getFocusedLines() {
        const [command, param] = this.currentAttribute?.trim().split('=');
        let result = [];
        if (command === 'focus') param.split(",").forEach((num)=>{
            if (num.indexOf(":") !== -1) {
                let [from_s, to_s] = num.split(":");
                let from = +from_s;
                let to = +to_s;
                result = result.concat(Array(to - from + 1).fill(0).map((_, i)=>from + i
                ));
            } else result.push(+num);
        });
        return result;
    }
    'after:highlight'(result) {
        const focusedLines = this.getFocusedLines();
        if (!focusedLines.length) return;
        const lines = result.value.split("\n").map((line, num)=>{
            const focused = focusedLines.indexOf(num + 1) !== -1;
            const styles = this.getStyle(focused ? this.options?.focusedStyle : this.options?.unfocusedStyle);
            return `<div style="${styles}">${line || " "}</div>`;
        });
        result.value = lines.join("");
    }
}


//# sourceMappingURL=main.js.map
